package com.zjt.entity;


import io.swagger.annotations.ApiModel;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.persistence.Column;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

@EqualsAndHashCode
@Accessors(chain = true)
@ApiModel(value = "销售订单表")
public class SaleorderHeader implements Serializable {
    private static final long serialVersionUID = 1L;
    private String orderNumber;        // 订单编号
    private String variety;            // 品种
    private String details;            // 明细
    private String colour;              // 颜色
    private String position;           // 位置
    private String sphericalLens;      // 球镜
    private String cylindricalLens;    // 柱镜
    private String axis;               // 轴位
    private String channel;            // 通道
    private String addNum;                // ADD
    private String remarks;            // 备注
    private String retailPrice;        // 零售价
    private String diopterRange; // 光度说明
    private String rangeDescription;       // 光度范围
    private String singleEyePupillaryDistance; // 单眼瞳距
    private String singleEyePupillaryDistanceRight; // 单眼右瞳距
    private String singleEyePupillaryDistanceLeft; // 单眼左瞳距
    private String lensEdgeDistance;   // 镜眼距
    private String frontAngle;         // 前倾角
    private String frameSurface;       // 镜架面
    private String habitReadingDistance; // 习惯阅读距离
    private String nearUsePupillaryDistance;            // 近用
    private String nvb;                // NVB
    private String mainVision;         // 主视
    private String ercd;               // ERCO
    private String materialCode;        // 商品编码
    private String materialDetile;        // 商品名称
    @Column(name = "create_time")
    private Date createTime;
    @Column(name = "update_time")
    private Date updateTime;
    // 构造函数
    public SaleorderHeader() {
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getOrderNumber() {
        return orderNumber;
    }

    public void setOrderNumber(String orderNumber) {
        this.orderNumber = orderNumber;
    }

    public String getVariety() {
        return variety;
    }

    public void setVariety(String variety) {
        this.variety = variety;
    }

    public String getDetails() {
        return details;
    }

    public void setDetails(String details) {
        this.details = details;
    }

    public String getColour() {
        return colour;
    }

    public void setColour(String colour) {
        this.colour = colour;
    }

    public String getPosition() {
        return position;
    }

    public void setPosition(String position) {
        this.position = position;
    }

    public String getSphericalLens() {
        return sphericalLens;
    }

    public void setSphericalLens(String sphericalLens) {
        this.sphericalLens = sphericalLens;
    }

    public String getCylindricalLens() {
        return cylindricalLens;
    }

    public void setCylindricalLens(String cylindricalLens) {
        this.cylindricalLens = cylindricalLens;
    }

    public String getAxis() {
        return axis;
    }

    public void setAxis(String axis) {
        this.axis = axis;
    }

    public String getChannel() {
        return channel;
    }

    public void setChannel(String channel) {
        this.channel = channel;
    }

    public String getAddNum() {
        return addNum;
    }

    public void setAddNum(String addNum) {
        this.addNum = addNum;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getRetailPrice() {
        return retailPrice;
    }

    public void setRetailPrice(String retailPrice) {
        this.retailPrice = retailPrice;
    }

    public String getDiopterRange() {
        return diopterRange;
    }

    public void setDiopterRange(String diopterRange) {
        this.diopterRange = diopterRange;
    }

    public String getRangeDescription() {
        return rangeDescription;
    }

    public void setRangeDescription(String rangeDescription) {
        this.rangeDescription = rangeDescription;
    }

    public String getSingleEyePupillaryDistance() {
        return singleEyePupillaryDistance;
    }

    public void setSingleEyePupillaryDistance(String singleEyePupillaryDistance) {
        this.singleEyePupillaryDistance = singleEyePupillaryDistance;
    }

    public String getSingleEyePupillaryDistanceRight() {
        return singleEyePupillaryDistanceRight;
    }

    public void setSingleEyePupillaryDistanceRight(String singleEyePupillaryDistanceRight) {
        this.singleEyePupillaryDistanceRight = singleEyePupillaryDistanceRight;
    }

    public String getSingleEyePupillaryDistanceLeft() {
        return singleEyePupillaryDistanceLeft;
    }

    public void setSingleEyePupillaryDistanceLeft(String singleEyePupillaryDistanceLeft) {
        this.singleEyePupillaryDistanceLeft = singleEyePupillaryDistanceLeft;
    }

    public String getLensEdgeDistance() {
        return lensEdgeDistance;
    }

    public void setLensEdgeDistance(String lensEdgeDistance) {
        this.lensEdgeDistance = lensEdgeDistance;
    }

    public String getFrontAngle() {
        return frontAngle;
    }

    public void setFrontAngle(String frontAngle) {
        this.frontAngle = frontAngle;
    }

    public String getFrameSurface() {
        return frameSurface;
    }

    public void setFrameSurface(String frameSurface) {
        this.frameSurface = frameSurface;
    }

    public String getHabitReadingDistance() {
        return habitReadingDistance;
    }

    public void setHabitReadingDistance(String habitReadingDistance) {
        this.habitReadingDistance = habitReadingDistance;
    }


    public String getNearUsePupillaryDistance() {
        return nearUsePupillaryDistance;
    }

    public void setNearUsePupillaryDistance(String nearUsePupillaryDistance) {
        this.nearUsePupillaryDistance = nearUsePupillaryDistance;
    }

    public String getNvb() {
        return nvb;
    }

    public void setNvb(String nvb) {
        this.nvb = nvb;
    }

    public String getMainVision() {
        return mainVision;
    }

    public void setMainVision(String mainVision) {
        this.mainVision = mainVision;
    }

    public String getErcd() {
        return ercd;
    }

    public void setErcd(String ercd) {
        this.ercd = ercd;
    }

    public String getMaterialCode() {
        return materialCode;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }

    public String getMaterialDetile() {
        return materialDetile;
    }

    public void setMaterialDetile(String materialDetile) {
        this.materialDetile = materialDetile;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        return "SaleorderHeader{" +
                "orderNumber='" + orderNumber + '\'' +
                ", variety='" + variety + '\'' +
                ", details='" + details + '\'' +
                ", colour='" + colour + '\'' +
                ", position='" + position + '\'' +
                ", sphericalLens='" + sphericalLens + '\'' +
                ", cylindricalLens='" + cylindricalLens + '\'' +
                ", axis='" + axis + '\'' +
                ", channel='" + channel + '\'' +
                ", addNum='" + addNum + '\'' +
                ", remarks='" + remarks + '\'' +
                ", retailPrice='" + retailPrice + '\'' +
                ", diopterRange='" + diopterRange + '\'' +
                ", rangeDescription='" + rangeDescription + '\'' +
                ", singleEyePupillaryDistance='" + singleEyePupillaryDistance + '\'' +
                ", singleEyePupillaryDistanceRight='" + singleEyePupillaryDistanceRight + '\'' +
                ", singleEyePupillaryDistanceLeft='" + singleEyePupillaryDistanceLeft + '\'' +
                ", lensEdgeDistance='" + lensEdgeDistance + '\'' +
                ", frontAngle='" + frontAngle + '\'' +
                ", frameSurface='" + frameSurface + '\'' +
                ", habitReadingDistance='" + habitReadingDistance + '\'' +
                ", nearUsePupillaryDistance='" + nearUsePupillaryDistance + '\'' +
                ", nvb='" + nvb + '\'' +
                ", mainVision='" + mainVision + '\'' +
                ", ercd='" + ercd + '\'' +
                ", materialCode='" + materialCode + '\'' +
                ", materialDetile='" + materialDetile + '\'' +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                '}';
    }
}

